Bug 1691188 - Review Request: python-libpysal - Python Spatial Analysis Library core components
Summary: Review Request: python-libpysal - Python Spatial Analysis Library core compon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 05:12 UTC by Elliott Sales de Andrade
Modified: 2019-04-02 02:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:20:08 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-03-21 05:12:27 UTC
Spec URL: https://qulogic.fedorapeople.org//python-libpysal.spec
SRPM URL: https://qulogic.fedorapeople.org//python-libpysal-4.0.1-1.fc29.src.rpm

Description:
Core components of PySAL - A library of spatial analysis functions. Modules
include computational geometry, input and output, spatial weights, and built-in
example datasets.

Comment 1 Elliott Sales de Andrade 2019-03-21 05:12:31 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=33659749

Comment 2 Robert-André Mauchin 🐧 2019-03-23 01:41:52 UTC
 - Remove Sphinx leftover:

python-libpysal-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-libpysal-doc/html/.buildinfo

 - Remove spurious executable perm, and send a PR upstream about it:

ython-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/landslides.csv
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/landslides.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/quads.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/quads.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/quads.shx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/streams.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/streams.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/streams.shx
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/geodanet/crimes.shp.xml
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/geodanet/schools.shp.xml
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/FB.p
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/GData_utm.csv
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/GData_utm.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.sbn
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.sbx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.shx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/XB.p
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/err.p
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/guerry/Guerry_documentation.html
python-libpysal-doc.noarch: E: zero-length /usr/share/doc/python-libpysal-doc/examples/mexico/mexicojoin.prj
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.cpg
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.prj
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.shx
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/sids2/sids2.gal
python-libpysal-doc.noarch: W: file-not-utf8 /usr/share/doc/python-libpysal-doc/examples/south/south.zip
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/stl/stl.gal
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/stl/stl_hom.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/Readme_tokyomortality.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/Readme_tokyomortality.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/SampleTokyoMortalityGWPR.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/SampleTokyoMortalityGWPR.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.csv
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.prj
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shp.xml
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shp.xml
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shx
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/us_income/spi_download.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/lattice10x10.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/lattice10x10.shx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/us48_CONTIGUITY_EDGES_ONLY.swm
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/us48_INVERSE_DISTANCE.swm
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/wmat/wmat.dat
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/wmat/wmat.mtx





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-libpysal
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-libpysal-4.0.1-1.fc31.noarch.rpm
          python-libpysal-doc-4.0.1-1.fc31.noarch.rpm
          python-libpysal-4.0.1-1.fc31.src.rpm
python3-libpysal.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python3-libpysal.noarch: E: zero-length /usr/lib/python3.7/site-packages/libpysal/examples/mexico/mexicojoin.prj
python-libpysal-doc.noarch: W: file-not-utf8 /usr/share/doc/python-libpysal-doc/examples/berlin/prenz_bound.zip
python-libpysal-doc.noarch: W: file-not-utf8 /usr/share/doc/python-libpysal-doc/examples/berlin/prenzlauer.zip
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_BS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/clearwater_GS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/landslides.csv
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/clearwater/landslides.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/quads.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/quads.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/quads.shx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/streams.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/streams.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/clearwater/streams.shx
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/geodanet/crimes.shp.xml
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/geodanet/schools.shp.xml
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/FB.p
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/GData_utm.csv
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/GData_utm.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.sbn
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.sbx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/G_utm.shx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/XB.p
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/err.p
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_BS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/georgia/georgia_GS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/guerry/Guerry_documentation.html
python-libpysal-doc.noarch: E: zero-length /usr/share/doc/python-libpysal-doc/examples/mexico/mexicojoin.prj
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.cpg
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.prj
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/rio_grande_do_sul/43MUE250GC_SIR.shx
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/sids2/sids2.gal
python-libpysal-doc.noarch: W: file-not-utf8 /usr/share/doc/python-libpysal-doc/examples/south/south.zip
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/stl/stl.gal
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/stl/stl_hom.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/Readme_tokyomortality.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/Readme_tokyomortality.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/SampleTokyoMortalityGWPR.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/SampleTokyoMortalityGWPR.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.csv
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/Tokyomortality.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_OFF_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_BS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_F_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN.ctl
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN.ctl
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN_listwise.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN_summary.txt
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyo_GS_NN_summary.txt
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.dbf
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.prj
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shp.xml
python-libpysal-doc.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shp.xml
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/tokyo/tokyomet262.shx
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/us_income/spi_download.csv
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/lattice10x10.shp
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/lattice10x10.shx
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/us48_CONTIGUITY_EDGES_ONLY.swm
python-libpysal-doc.noarch: W: spurious-executable-perm /usr/share/doc/python-libpysal-doc/examples/wmat/us48_INVERSE_DISTANCE.swm
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/wmat/wmat.dat
python-libpysal-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libpysal-doc/examples/wmat/wmat.mtx
python-libpysal-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-libpysal-doc/html/.buildinfo
python-libpysal.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
3 packages and 0 specfiles checked; 35 errors, 88 warnings.

Comment 3 Elliott Sales de Andrade 2019-03-23 11:03:36 UTC
Should be all set:

Spec URL: https://qulogic.fedorapeople.org/python-libpysal.spec
SRPM URL: https://qulogic.fedorapeople.org/python-libpysal-4.0.1-2.fc29.src.rpm

Comment 4 Robert-André Mauchin 🐧 2019-03-23 15:57:50 UTC
Perfect! Package approved.

Comment 5 Igor Raits 2019-03-24 19:18:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-libpysal

Comment 6 Fedora Update System 2019-03-24 21:36:57 UTC
python-libpysal-4.0.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5cf48cd77

Comment 7 Fedora Update System 2019-03-24 21:37:49 UTC
python-libpysal-4.0.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f67456dc

Comment 8 Fedora Update System 2019-03-24 21:38:05 UTC
python-libpysal-4.0.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-070bc46d60

Comment 9 Fedora Update System 2019-03-25 03:49:07 UTC
python-libpysal-4.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5cf48cd77

Comment 10 Fedora Update System 2019-03-25 05:10:26 UTC
python-libpysal-4.0.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-070bc46d60

Comment 11 Fedora Update System 2019-03-25 06:48:55 UTC
python-libpysal-4.0.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6f67456dc

Comment 12 Fedora Update System 2019-03-29 19:20:08 UTC
python-libpysal-4.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-02 01:36:26 UTC
python-libpysal-4.0.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-02 02:14:12 UTC
python-libpysal-4.0.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.